import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { FirstAdded } from './component1/firstadded.component';
import { SecondAdded } from './component2/added.component';

const routes: Routes = [
  { path: '', redirectTo: 'default', pathMatch: 'full' },
  { path: 'default', component: FirstAdded },
  { path: 'default2', component: SecondAdded }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }

