import { Component, ViewChild } from '@angular/core';
import { ToolbarService, LinkService, ImageService, HtmlEditorService } from '@syncfusion/ej2-angular-richtexteditor';
import { Dialog, AnimationSettingsModel, DialogComponent } from '@syncfusion/ej2-angular-popups';

@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html',
  template: `<router-outlet></router-outlet>`,
  providers: [ToolbarService, LinkService, ImageService, HtmlEditorService]
})
export class AppComponent {
  title = 'syncfusion-angular-app-rout';

  @ViewChild('modalContactsDialog')
    public modalContactsDialog: DialogComponent;

    public manageContacts(id: string) {
      this.modalContactsDialog.show();
  }

  public target: string = '#targetModal';
    public width: string = '335px';
    public isModal: Boolean = true;
}
