import { Component, ViewChild } from '@angular/core';
import { Router } from '@angular/router';
import { ToolbarModule } from '@syncfusion/ej2-angular-navigations';
import { Dialog, AnimationSettingsModel, DialogComponent } from '@syncfusion/ej2-angular-popups';

@Component({
  selector: 'app-root',
  template: `<div id="targetModal" #targetModal class="col-md-12 control-section">
  <ejs-dialog #modalContactsDialog id="modalContactsDialog"  isModal="true"
  target="#targetModal"></ejs-dialog>
  </div>`
})

export class FirstAdded { 

  constructor(private router: Router){
  }
  title = 'syncfusion-angular-app-rout';

  public clicked() {
    this.router.navigate(['/default2']);
  }

  @ViewChild('modalContactsDialog')
    public modalContactsDialog: DialogComponent;

    public manageContacts(id: string) {
      this.modalContactsDialog.show();
  }

  public target: string = '#targetModal';
    public width: string = '335px';
    public isModal: Boolean = true;
}
