import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { FirstAdded } from './component1/firstadded.component';
import { SecondAdded } from './component2/added.component';
import { DialogAllModule } from '@syncfusion/ej2-angular-popups';

@NgModule({
  declarations: [
    AppComponent, FirstAdded, SecondAdded
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    DialogAllModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
